Minecraft Version and Mod Compatibility

Started by koyote on

Topic category: Help with modding (Java Edition)

Last seen on 18:43, 16. Nov 2023
Joined Oct 2023
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • MCreator plugins:
  • Comments:
Minecraft Version and Mod Compatibility

I'm developing a mod for Minecraft version 1.20.1, but if I want this mod to be compatible with the next version 1.21.0, do I have to start all over again?

Last seen on 21:38, 22. Apr 2024
Joined Jun 2023
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • MCreator plugins:
  • Comments:
If necessary, you can…
Sat, 11/04/2023 - 20:57

If necessary, you can convert your mod to the next version while keeping the elements.

Last seen on 18:43, 16. Nov 2023
Joined Oct 2023
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • MCreator plugins:
  • Comments:
Can you tell me exactly what…
Sat, 11/04/2023 - 22:42

Can you tell me exactly what steps are required to make this possible?

Last seen on 08:27, 19. Jul 2024
Joined Oct 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • MCreator plugins:
  • Comments:
If you need to move this mod…
Sun, 11/05/2023 - 00:18

If you need to move this mod to newer versions, you should change the version generator in the mod settings.

I suggest you check our…
Sun, 11/05/2023 - 10:40

I suggest you check our tutorials collection playlist on our YouTube channel which contains many examples and tutorials that can help you get started with MCreator: https://www.youtube.com/playlist?list=PLAeL-oIFIEngE6jRgFYeFMfuj8WQsO3Ei

This playlists also explains how to switch workspace versions. Hint: it only requires a few clicks :)